Overview
GET/content/lists/{id}content

Get lists by id

Fetch a record from lists by id.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • idpathstring
Responses
200

lists

  • idstring
  • ecosystemIdstring
  • customerIdstring
  • deletedAtstring?
  • namestring
  • descriptionstring?
  • createdAtstring
  • updatedAtstring
Example
{
  "id": "string",
  "ecosystemId": "string",
  "customerId": "string",
  "deletedAt": "string",
  "name": "string",
  "description": "string",
  "createdAt": "string",
  "updatedAt": "string"
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/content/lists/{id}" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/content/lists/{id}", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();